> For the complete documentation index, see [llms.txt](https://developers.usetoggle.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.usetoggle.com/basics/redeem-a-card.md).

# Redeem / Top up a card

We call the change in balance of a card a "balance adjustment. So to create a redemption, make a mutation request to `createBalanceAdjustment` with a negative value, or pass in a positive value if you want to top up a cards value.

{% tabs %}
{% tab title="API call" %}

```graphql
mutation CreateBalanceAdjustment {
    createBalanceAdjustment(
        currency: "GBP"
        value: -1000
        merchant_id: 26
        unit_epos_reference: "2251799825000010"
        card_reference: "6301190088474564102"
        merchant_transaction_reference: "ABC-DEF-GHI-1234123-123-0033"
    ) {
        id
        value
        LineItem {
            id
            Card {
                card_reference
                card_alias_card_reference
                balance
                expiry_time
                product_name
            }
        }
        ValueSplit {
            tender
            discount
        }
    }
}

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.usetoggle.com/basics/redeem-a-card.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
